<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>drivers/i2c/src/i2c_slave.c File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_14bc92f4b96c8519b376567118ac28b3.html">drivers</a></li><li class="navelem"><a class="el" href="dir_543150874d2644b5fa790a5d32e38ffc.html">i2c</a></li><li class="navelem"><a class="el" href="dir_91619f41c171c63977cb051224dadf4a.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">i2c_slave.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>The file implements the I2C Slave Driver for the XWR14xx and XWR16xx. The file implements the driver to conform to the MCPI standards.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdint.h&gt;</code><br />
<code>#include &lt;string.h&gt;</code><br />
<code>#include &lt;ti/drivers/osal/MemoryP.h&gt;</code><br />
<code>#include &lt;<a class="el" href="_i2_c_slave_8h.html">ti/drivers/i2c/I2CSlave.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="i2c__slave_8h.html">ti/drivers/i2c/include/i2c_slave.h</a>&gt;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga46202b56448040b43d38147397fe2674"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___i2_c___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga46202b56448040b43d38147397fe2674">I2C_slave_close</a> (<a class="el" href="_i2_c_slave_8h.html#a076045922f1e7c181c4b59e6a4e37b14">I2CSlave_Handle</a> handle)</td></tr>
<tr class="separator:ga46202b56448040b43d38147397fe2674"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa5abe3499750f0c737efaed31b943e94"><td class="memItemLeft" align="right" valign="top">static int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___i2_c_s_l_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa5abe3499750f0c737efaed31b943e94">I2C_slave_control</a> (<a class="el" href="_i2_c_slave_8h.html#a076045922f1e7c181c4b59e6a4e37b14">I2CSlave_Handle</a> handle, uint32_t cmd, void *arg)</td></tr>
<tr class="separator:gaa5abe3499750f0c737efaed31b943e94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9a6d1114a758fd3029efacb83756e3a4"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___i2_c_s_l_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga9a6d1114a758fd3029efacb83756e3a4">I2C_slave_init</a> (<a class="el" href="_i2_c_slave_8h.html#a076045922f1e7c181c4b59e6a4e37b14">I2CSlave_Handle</a> handle)</td></tr>
<tr class="separator:ga9a6d1114a758fd3029efacb83756e3a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa111c1ef067edb6cbbb953a7ff776796"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="_i2_c_slave_8h.html#a076045922f1e7c181c4b59e6a4e37b14">I2CSlave_Handle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___i2_c_s_l_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa111c1ef067edb6cbbb953a7ff776796">I2C_slave_open</a> (<a class="el" href="_i2_c_slave_8h.html#a076045922f1e7c181c4b59e6a4e37b14">I2CSlave_Handle</a> handle, const <a class="el" href="_i2_c_slave_8h.html#a1f33d83d891a8e6488af4b599bebbbc9">I2CSlave_Params</a> *params)</td></tr>
<tr class="separator:gaa111c1ef067edb6cbbb953a7ff776796"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaeb270bc9a61defd2c86a50c94085791e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___i2_c_s_l_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaeb270bc9a61defd2c86a50c94085791e">I2C_slave_read</a> (<a class="el" href="_i2_c_slave_8h.html#a076045922f1e7c181c4b59e6a4e37b14">I2CSlave_Handle</a> handle, void *buffer, size_t size)</td></tr>
<tr class="separator:gaeb270bc9a61defd2c86a50c94085791e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gace4a2fbe995876fad5aecce8048d6ccb"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___i2_c_s_l_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gace4a2fbe995876fad5aecce8048d6ccb">I2C_slave_write</a> (<a class="el" href="_i2_c_slave_8h.html#a076045922f1e7c181c4b59e6a4e37b14">I2CSlave_Handle</a> handle, const void *buffer, size_t size)</td></tr>
<tr class="separator:gace4a2fbe995876fad5aecce8048d6ccb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaea53c07bc7da6d6f093a065b1408c622"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___i2_c_s_l_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaea53c07bc7da6d6f093a065b1408c622">I2CSlave_blockingTransferCallback</a> (<a class="el" href="_i2_c_slave_8h.html#a076045922f1e7c181c4b59e6a4e37b14">I2CSlave_Handle</a> handle, bool transferStatus)</td></tr>
<tr class="separator:gaea53c07bc7da6d6f093a065b1408c622"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4a46fdb079ba88345f2bf99f27433163"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___i2_c_s_l_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga4a46fdb079ba88345f2bf99f27433163">I2CSlave_setupTransfer</a> (<a class="el" href="_i2_c_slave_8h.html#a076045922f1e7c181c4b59e6a4e37b14">I2CSlave_Handle</a> handle, uint8_t *buffer, size_t size, uint32_t readWriteFlag)</td></tr>
<tr class="separator:ga4a46fdb079ba88345f2bf99f27433163"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaff5591dbb9d1f6566ff488432ee90051"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___i2_c_s_l_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaff5591dbb9d1f6566ff488432ee90051">I2CSlave_ISR</a> (uintptr_t arg)</td></tr>
<tr class="separator:gaff5591dbb9d1f6566ff488432ee90051"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a0ad4acd28a22e4ce653f657cf7121a4b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_i2_c_slave_8h.html#acfddba680702c5cd7d6f473c1c3898db">I2CSlave_FxnTable</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="i2c__slave_8c.html#a0ad4acd28a22e4ce653f657cf7121a4b">gI2CSlaveFxnTable</a></td></tr>
<tr class="memdesc:a0ad4acd28a22e4ce653f657cf7121a4b"><td class="mdescLeft">&#160;</td><td class="mdescRight">I2C Slave Driver Function Table.  <a href="#a0ad4acd28a22e4ce653f657cf7121a4b">More...</a><br /></td></tr>
<tr class="separator:a0ad4acd28a22e4ce653f657cf7121a4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>The file implements the I2C Slave Driver for the XWR14xx and XWR16xx. The file implements the driver to conform to the MCPI standards. </p>
<dl class="section user"><dt></dt><dd>NOTE: (C) Copyright 2017 Texas Instruments, Inc.</dd></dl>
<p>Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:</p>
<p>Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.</p>
<p>Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.</p>
<p>Neither the name of Texas Instruments Incorporated nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.</p>
<p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. </p>
</div><h2 class="groupheader">Variable Documentation</h2>
<a class="anchor" id="a0ad4acd28a22e4ce653f657cf7121a4b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_i2_c_slave_8h.html#acfddba680702c5cd7d6f473c1c3898db">I2CSlave_FxnTable</a> gI2CSlaveFxnTable</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">=</div><div class="line">{</div><div class="line">    &amp;<a class="code" href="group___i2_c___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga46202b56448040b43d38147397fe2674">I2C_slave_close</a>,</div><div class="line">    &amp;<a class="code" href="group___i2_c_s_l_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa5abe3499750f0c737efaed31b943e94">I2C_slave_control</a>,</div><div class="line">    &amp;<a class="code" href="group___i2_c_s_l_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga9a6d1114a758fd3029efacb83756e3a4">I2C_slave_init</a>,</div><div class="line">    &amp;<a class="code" href="group___i2_c_s_l_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa111c1ef067edb6cbbb953a7ff776796">I2C_slave_open</a>,</div><div class="line">    &amp;<a class="code" href="group___i2_c_s_l_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaeb270bc9a61defd2c86a50c94085791e">I2C_slave_read</a>,</div><div class="line">    &amp;<a class="code" href="group___i2_c_s_l_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gace4a2fbe995876fad5aecce8048d6ccb">I2C_slave_write</a></div><div class="line">}</div><div class="ttc" id="group___i2_c___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n_html_ga46202b56448040b43d38147397fe2674"><div class="ttname"><a href="group___i2_c___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga46202b56448040b43d38147397fe2674">I2C_slave_close</a></div><div class="ttdeci">static void I2C_slave_close(I2CSlave_Handle handle)</div><div class="ttdef"><b>Definition:</b> i2c_slave.c:466</div></div>
<div class="ttc" id="group___i2_c_s_l_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n_html_gaa111c1ef067edb6cbbb953a7ff776796"><div class="ttname"><a href="group___i2_c_s_l_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa111c1ef067edb6cbbb953a7ff776796">I2C_slave_open</a></div><div class="ttdeci">static I2CSlave_Handle I2C_slave_open(I2CSlave_Handle handle, const I2CSlave_Params *params)</div><div class="ttdef"><b>Definition:</b> i2c_slave.c:554</div></div>
<div class="ttc" id="group___i2_c_s_l_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n_html_ga9a6d1114a758fd3029efacb83756e3a4"><div class="ttname"><a href="group___i2_c_s_l_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga9a6d1114a758fd3029efacb83756e3a4">I2C_slave_init</a></div><div class="ttdeci">static void I2C_slave_init(I2CSlave_Handle handle)</div><div class="ttdef"><b>Definition:</b> i2c_slave.c:530</div></div>
<div class="ttc" id="group___i2_c_s_l_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n_html_gaa5abe3499750f0c737efaed31b943e94"><div class="ttname"><a href="group___i2_c_s_l_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa5abe3499750f0c737efaed31b943e94">I2C_slave_control</a></div><div class="ttdeci">static int32_t I2C_slave_control(I2CSlave_Handle handle, uint32_t cmd, void *arg)</div><div class="ttdef"><b>Definition:</b> i2c_slave.c:400</div></div>
<div class="ttc" id="group___i2_c_s_l_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n_html_gaeb270bc9a61defd2c86a50c94085791e"><div class="ttname"><a href="group___i2_c_s_l_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaeb270bc9a61defd2c86a50c94085791e">I2C_slave_read</a></div><div class="ttdeci">bool I2C_slave_read(I2CSlave_Handle handle, void *buffer, size_t size)</div><div class="ttdef"><b>Definition:</b> i2c_slave.c:697</div></div>
<div class="ttc" id="group___i2_c_s_l_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n_html_gace4a2fbe995876fad5aecce8048d6ccb"><div class="ttname"><a href="group___i2_c_s_l_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gace4a2fbe995876fad5aecce8048d6ccb">I2C_slave_write</a></div><div class="ttdeci">bool I2C_slave_write(I2CSlave_Handle handle, const void *buffer, size_t size)</div><div class="ttdef"><b>Definition:</b> i2c_slave.c:672</div></div>
</div><!-- fragment -->
<p>I2C Slave Driver Function Table. </p>
<p>This is the I2C Slave Driver registered function table. </p>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
